---
updatedAt: 2025-06-09T21:53:36.000Z
agentTools:
  projectIndex: https://developers.kayzen.io/llms.txt
---

# Event API Integration

How to send in-app/ in-web/ in-ad events to Kayzen platform

**Overview**

Kayzen platform has a robust event and audience API. Advertisers can send specific events directly to Kayzen and use the powerful and flexible audience segmentation feature to create and target different user cohorts

**Base URL\
​**<https://api-events.eventstracker.io/v1/ev>?

**Query Parameters**\
tp=direct\&api\_key=\{api\_key}\&idfa=\{IDFA}\&gaid=\{GAID}\&os=\{OS}\&activity\_kind=\{activity\_kind}\&package\_name=\{app\_package\_name}\&app\_event=\{app\_event}\&event\_items=\{event\_items\_JSON}\&can\_claim=\{0/1}\&view\_through=\{0/1}\&bid\_id=\{CLICK\_ID}\&ip=\&country\_code=\&city=\&is\_reengagement=\{0/1}\&revenue\_USD=\{revenue\_in\_usd}\&idfv=\{idfv}\&event\_ts=\{event\_ts}c0=\&c1=\&c2=

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameters
      </th>

      <th>
        Required
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        api\_key
      </td>

      <td>
        Yes
      </td>

      <td>
        Unique api key for your account/ app/website. You can get this api\_key from Kayzen UI
      </td>
    </tr>

    <tr>
      <td>
        idfa
      </td>

      <td>
        Preferred
      </td>

      <td>
        iOS unique IDFA
      </td>
    </tr>

    <tr>
      <td>
        gaid
      </td>

      <td>
        Preferred
      </td>

      <td>
        Google unique advertising ID
      </td>
    </tr>

    <tr>
      <td>
        idfv
      </td>

      <td>
        Preferred
      </td>

      <td>
        iOS unique identifier by a publisher
      </td>
    </tr>

    <tr>
      <td>
        os
      </td>

      <td>
        Preferred
      </td>

      <td>
        android/IOS
      </td>
    </tr>

    <tr>
      <td>
        activity\_kind
      </td>

      <td>
        No
      </td>

      <td>
        Type of event. For eg; event, install, impression
      </td>
    </tr>

    <tr>
      <td>
        package\_name
      </td>

      <td>
        No
      </td>

      <td>
        Android app bundle name/ IOS app store ID
      </td>
    </tr>

    <tr>
      <td>
        app\_event
      </td>

      <td>
        Yes
      </td>

      <td>
        Name of the event that you have recorded. eg: app\_open, registration, purchase etc.
      </td>
    </tr>

    <tr>
      <td>
        event\_items
      </td>

      <td>
        No
      </td>

      <td>
        For any event, you can pass multiple event in a JSON format. Eg: in case of purchase of an item, you can pass attribute like price, product\_id, colour, currency etc. Nested JSON must be URL encoded string of array of JSON. For multiple attributes JSON is preferred. For single attribute this can be string as well.  

        event\_items JSON should be encoded (ref eg below)
      </td>
    </tr>

    <tr>
      <td>
        can\_claim
      </td>

      <td>
        Yes
      </td>

      <td>
        0 (default attribute)- Unattributed event\
        1- attributed event.
      </td>
    </tr>

    <tr>
      <td>
        view\_through
      </td>

      <td>
        No
      </td>

      <td>
        0 (default value)- click based attribution\
        1- Impression based attribution
      </td>
    </tr>

    <tr>
      <td>
        bid\_id
      </td>

      <td>
        Yes
      </td>

      <td>
        Pass through parameter. Pass the click\_id that was recorded when the user clicked on ad.
      </td>
    </tr>

    <tr>
      <td>
        is\_reengagement
      </td>

      <td>
        No
      </td>

      <td>
        0-it's not a re-engagement event\
        1- it's a re-engagement event
      </td>
    </tr>

    <tr>
      <td>
        event\_ts
      </td>

      <td>
        Preferred
      </td>

      <td>
        Timestamp the event occurred.
      </td>
    </tr>

    <tr>
      <td>
        revenue\_USD
      </td>

      <td>
        No
      </td>

      <td>
        Revenue generated in USD from an event for eg. a purchase event.\
        If revenue is generated in other currency, use below 2 fields instead.
      </td>
    </tr>

    <tr>
      <td>
        revenue
      </td>

      <td>
        No
      </td>

      <td>
        Revenue generated from an event for eg. a purchase event
      </td>
    </tr>

    <tr>
      <td>
        currency
      </td>

      <td>
        No
      </td>

      <td>
        Currency in ISO - 4217 format
      </td>
    </tr>

    <tr>
      <td>
        c0,c1,c2
      </td>

      <td>
        No
      </td>

      <td>
        Generic pass through variables. Use these parameters for passing value of custom value.
      </td>
    </tr>
  </tbody>
</Table>

**Sample API End Point**

<https://api-events.eventstracker.io/v1/ev?tp=direct&api_key=f8f2036f1704d106dc916f692826b497686a03e5&idfa=D3F15CAE-B2DB-4FZD-9B34-X78C88C81538&gaid=&os=ios&activity_kind=event&package_name=com.app.package&app_event=purchase&can_claim=1&view_through=0&bid_id=892501088-1552511436&ip=172.58.104.88&country_code=US&city=Dallas&is_reengagement=1&c0=&c1=&c2=&event_items=%5B%7B%22currency%22%3A%22USD%22%2C%20%22revenue%22%3A%200.02190650151%7D%5D>